SDL_LockAudioStream(3)

NAME
SDL_LockAudioStream - Lock an audio stream for serialized access.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_LockAudioStream(SDL_AudioStream *stream);

DESCRIPTION
Each SDL_AudioStream
 has an internal mutex it uses to protect its data structures from threading conflicts. This function allows an app to lock that mutex, which could be useful if registering callbacks on this stream. One does not need to lock a stream to use in it most cases, as the stream manages this lock internally. However, this lock is held during callbacks, which may run from arbitrary threads at any time, so if an app needs to protect shared data during those callbacks, locking the stream guarantees that the callback is not running while the lock is held. As this is just a wrapper over SDL_LockMutex
 for an internal lock; it has all the same attributes (recursive locks are allowed, etc).

FUNCTION PARAMETERS

stream
    The audio stream to lock.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_UnlockAudioStream(3)